CREATE OR REPLACE PROCEDURE sp_fco_upd_reportes_aut
(
    pch_compania char,
    pti_cod_rep number,
    pti_relacionado number,    
    pvc_usuario varchar2
)
AS
/********************************************************************/
/*** Reportes e Interfases de Data Tecnologia                     ***/
/*** Descripcion: crea registros en las tablas fco_reportes_aut   ***/
/*** Autor:	Diana Cecilia Rios Peinado                            ***/
/*** Fecha:	Junio 8 de 2005                                      ***/
/********************************************************************/
  vnm_existe      number(1);
BEGIN

    IF pti_relacionado = 1 THEN--2
      vnm_existe := 0;
      BEGIN
        SELECT 1
        INTO vnm_existe
        FROM fco_reportes_aut 
        WHERE compania = pch_compania AND cod_rep = pti_cod_rep AND usuariow = pvc_usuario;
        EXCEPTION
            WHEN OTHERS THEN vnm_existe := 0;
      END;
      
      IF vnm_existe = 0 THEN--3
         INSERT INTO fco_reportes_aut (cod_rep, compania, usuariow) VALUES (pti_cod_rep, pch_compania, pvc_usuario);
      END IF;--3  
        
    ELSE
       DELETE FROM fco_reportes_aut WHERE compania = pch_compania AND cod_rep = pti_cod_rep AND usuariow = pvc_usuario;
    END IF;--2

    COMMIT WORK;        
    
END;
/
CREATE PUBLIC SYNONYM sp_fco_upd_reportes_aut FOR ADAM.sp_fco_upd_reportes_aut;
GRANT EXECUTE ON sp_fco_upd_reportes_aut TO adama;
